<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Gui Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_gui.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_gui-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Gui Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Manages UI for the app.  
 <a href="class_gui.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_gui_8h_source.html">Gui.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Gui:</div>
<div class="dyncontent">
<div class="center"><img src="class_gui__inherit__graph.png" border="0" usemap="#_gui_inherit__map" alt="Inheritance graph"/></div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Gui:</div>
<div class="dyncontent">
<div class="center"><img src="class_gui__coll__graph.png" border="0" usemap="#_gui_coll__map" alt="Collaboration graph"/></div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:ab7f4632d5033a2250398bed08a4af158"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ab7f4632d5033a2250398bed08a4af158">getCurrentUserAdminStatus</a> (bool isCurrentUserAnAdmin)</td></tr>
<tr class="separator:ab7f4632d5033a2250398bed08a4af158"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae18107b33f585c3025c25f16bc2d5d67"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ae18107b33f585c3025c25f16bc2d5d67">getSignInProcessIsComplete</a> ()</td></tr>
<tr class="separator:ae18107b33f585c3025c25f16bc2d5d67"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a5fb313e391a25bc4e9798ee9b56d1718"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a5fb313e391a25bc4e9798ee9b56d1718">sendSignInRequest</a> (QString username, QString password)</td></tr>
<tr class="separator:a5fb313e391a25bc4e9798ee9b56d1718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace1c44fdff26b57dc365e51bf0bbe011"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ace1c44fdff26b57dc365e51bf0bbe011">sendSignInRequestResult</a> (bool signInOk)</td></tr>
<tr class="separator:ace1c44fdff26b57dc365e51bf0bbe011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59d88601c127c3d1de862f8f34c95528"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a59d88601c127c3d1de862f8f34c95528">sendSignUpRequest</a> (<a class="el" href="class_user.html">User</a> user, QString password)</td></tr>
<tr class="separator:a59d88601c127c3d1de862f8f34c95528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc811573f8605cce30f325d2e9d11db2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#adc811573f8605cce30f325d2e9d11db2">sendSignUpRequestResult</a> (bool signUpOk)</td></tr>
<tr class="separator:adc811573f8605cce30f325d2e9d11db2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf39ba69c97ed11586b9e8a4e8a44d50"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#acf39ba69c97ed11586b9e8a4e8a44d50">sendDetailsAboutBookRequest</a> (QString isbn)</td></tr>
<tr class="separator:acf39ba69c97ed11586b9e8a4e8a44d50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8de6758ae82e6f6f8aae66d4811c857"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ab8de6758ae82e6f6f8aae66d4811c857">sendSearchBookRequest</a> (QString id, QString title)</td></tr>
<tr class="separator:ab8de6758ae82e6f6f8aae66d4811c857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eafc6845da61bfddf908299bf310d49"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a8eafc6845da61bfddf908299bf310d49">sendWishlistRequest</a> ()</td></tr>
<tr class="separator:a8eafc6845da61bfddf908299bf310d49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab140d1a5aae021f01032a516bb2e94fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ab140d1a5aae021f01032a516bb2e94fc">sendLoansRequest</a> ()</td></tr>
<tr class="separator:ab140d1a5aae021f01032a516bb2e94fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55c7f71e765c57c27b2cab34aafba99a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a55c7f71e765c57c27b2cab34aafba99a">sendAddBookToWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a55c7f71e765c57c27b2cab34aafba99a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a741d7be4ff8d9532683209853fb46e37"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a741d7be4ff8d9532683209853fb46e37">sendRemoveBookFromWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a741d7be4ff8d9532683209853fb46e37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ffa089e57ee1571da42db95c3ba3de6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a2ffa089e57ee1571da42db95c3ba3de6">sendReserveBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a2ffa089e57ee1571da42db95c3ba3de6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6f69a62bc303884e36d0be38a5f85b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ac6f69a62bc303884e36d0be38a5f85b9">sendReturnBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:ac6f69a62bc303884e36d0be38a5f85b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a343ff061fde597753a3296ea5ae31a3b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a343ff061fde597753a3296ea5ae31a3b">sendCurrentUserRequest</a> ()</td></tr>
<tr class="separator:a343ff061fde597753a3296ea5ae31a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72dfa49e20658233f69bd6c52dedab9d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a72dfa49e20658233f69bd6c52dedab9d">sendUserRequest</a> (QString username)</td></tr>
<tr class="separator:a72dfa49e20658233f69bd6c52dedab9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e318612a7551ba9222b712b78ac947"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a96e318612a7551ba9222b712b78ac947">sendEditUserRequest</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin, QString password)</td></tr>
<tr class="separator:a96e318612a7551ba9222b712b78ac947"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a734889d391e6e11bf4d271a196ba572c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a734889d391e6e11bf4d271a196ba572c">sendImportWishlistFromFileRequest</a> (QString pathToFileToImport)</td></tr>
<tr class="separator:a734889d391e6e11bf4d271a196ba572c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bdbe03a8e1f862b09037dc24ebf506c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a6bdbe03a8e1f862b09037dc24ebf506c">sendExportWishlistFromFileRequest</a> (QString pathToFileToExport)</td></tr>
<tr class="separator:a6bdbe03a8e1f862b09037dc24ebf506c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8af4fb92ae4ee963a09d8f6fe56dbd26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a8af4fb92ae4ee963a09d8f6fe56dbd26">sendDetailsAboutBookRequestResult</a> (<a class="el" href="class_book.html">Book</a> book, bool isReservedByUser, bool isInUserWishlist)</td></tr>
<tr class="separator:a8af4fb92ae4ee963a09d8f6fe56dbd26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab254231f189c6a872dc24250dbbd6c65"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ab254231f189c6a872dc24250dbbd6c65">sendSearchBookRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:ab254231f189c6a872dc24250dbbd6c65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff84f8df0d0c42b9bc1e024e71a1ee6f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#aff84f8df0d0c42b9bc1e024e71a1ee6f">sendWishlistRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:aff84f8df0d0c42b9bc1e024e71a1ee6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afac627acf83e5b63b1d7f7e6b5cf1984"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#afac627acf83e5b63b1d7f7e6b5cf1984">sendLoansRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:afac627acf83e5b63b1d7f7e6b5cf1984"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c8a08d2c0b78461904928f798f4761"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ae1c8a08d2c0b78461904928f798f4761">sendAddBookToWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ae1c8a08d2c0b78461904928f798f4761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae117363124625be4898f727f29f56c49"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ae117363124625be4898f727f29f56c49">sendRemoveBookFromWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ae117363124625be4898f727f29f56c49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4891fd5c9698fa3f350ce69b9e66ce74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a4891fd5c9698fa3f350ce69b9e66ce74">sendReserveBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a4891fd5c9698fa3f350ce69b9e66ce74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c8260e2cdc4aea0a44ffe045a7ef311"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a7c8260e2cdc4aea0a44ffe045a7ef311">sendReturnBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a7c8260e2cdc4aea0a44ffe045a7ef311"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747c9f8a97ca1511fdbd3633e01926f4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a747c9f8a97ca1511fdbd3633e01926f4">sendUserRequestResult</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin)</td></tr>
<tr class="separator:a747c9f8a97ca1511fdbd3633e01926f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a037e179bbf2eb022c07e73c095731207"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a037e179bbf2eb022c07e73c095731207">sendEditUserRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a037e179bbf2eb022c07e73c095731207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0909537ad53c6ff655c6435df0ed194"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ae0909537ad53c6ff655c6435df0ed194">sendImportWishlistFromFileRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ae0909537ad53c6ff655c6435df0ed194"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2d9d316dba42155c9f0941b8dc560fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ac2d9d316dba42155c9f0941b8dc560fd">sendExportWishlistFromFileRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ac2d9d316dba42155c9f0941b8dc560fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e8074406a8c3fddf74b87b1935aa7e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a9e8074406a8c3fddf74b87b1935aa7e5">sendAddBookToLibraryRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a9e8074406a8c3fddf74b87b1935aa7e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f41675c03732fb9e4677b8515f5ce91"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a7f41675c03732fb9e4677b8515f5ce91">sendEditBookInLibraryRequest</a> (QString oldBookIsbn, <a class="el" href="class_book.html">Book</a> newBook)</td></tr>
<tr class="separator:a7f41675c03732fb9e4677b8515f5ce91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d3685695e85cc9d654375f19c9d39cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a7d3685695e85cc9d654375f19c9d39cc">sendRemoveBookFromLibraryRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a7d3685695e85cc9d654375f19c9d39cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45b83b7b92ce6253834d28c67ea61614"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a45b83b7b92ce6253834d28c67ea61614">sendAddBookToLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a45b83b7b92ce6253834d28c67ea61614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a520e0265a777cb1b93365e916238fdb1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a520e0265a777cb1b93365e916238fdb1">sendEditBookInLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a520e0265a777cb1b93365e916238fdb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b8847511823ec0ba3feccf3e6ec9c83"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a8b8847511823ec0ba3feccf3e6ec9c83">sendRemoveBookFromLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a8b8847511823ec0ba3feccf3e6ec9c83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87bc09aef68724043c9b4f24b01db632"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a87bc09aef68724043c9b4f24b01db632">sendSearchUserRequest</a> (QString id, QString name)</td></tr>
<tr class="separator:a87bc09aef68724043c9b4f24b01db632"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d4e78464921dfcfa58e836fd8c1834f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a8d4e78464921dfcfa58e836fd8c1834f">sendAddUserToLibraryRequest</a> (<a class="el" href="class_user.html">User</a> user, bool makeAdmin)</td></tr>
<tr class="separator:a8d4e78464921dfcfa58e836fd8c1834f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f5de7d88e997a696d9a8e5e015b63b6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a6f5de7d88e997a696d9a8e5e015b63b6">sendEditUserInLibraryRequest</a> (QString oldId, <a class="el" href="class_user.html">User</a> newUser, bool isAdmin, QString newPassword)</td></tr>
<tr class="separator:a6f5de7d88e997a696d9a8e5e015b63b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb962389eb67b4567a1bc55b2abf76c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#abb962389eb67b4567a1bc55b2abf76c6">sendRemoveUserFromLibraryRequest</a> (<a class="el" href="class_user.html">User</a> user)</td></tr>
<tr class="separator:abb962389eb67b4567a1bc55b2abf76c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cd93c2bae41bb09285433b4e2164c59"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a4cd93c2bae41bb09285433b4e2164c59">sendSearchUserRequestResult</a> (std::vector&lt; <a class="el" href="class_user.html">User</a> &gt; users)</td></tr>
<tr class="separator:a4cd93c2bae41bb09285433b4e2164c59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf6eb142cba7a3946d64ef3f1b790dcb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#adf6eb142cba7a3946d64ef3f1b790dcb">sendAddUserToLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:adf6eb142cba7a3946d64ef3f1b790dcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52270affea5506ff56e96b0c320d012b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a52270affea5506ff56e96b0c320d012b">sendEditUserInLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a52270affea5506ff56e96b0c320d012b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ddd94a29c0c4e107771498d72c2c8bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a4ddd94a29c0c4e107771498d72c2c8bf">sendRemoveUserFromLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a4ddd94a29c0c4e107771498d72c2c8bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab2655dbb6d3a91d7e90cb83dad6c0450"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#ab2655dbb6d3a91d7e90cb83dad6c0450">Gui</a> ()</td></tr>
<tr class="separator:ab2655dbb6d3a91d7e90cb83dad6c0450"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fd8485d226f9b8a2ac2d81d7f0f3598"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#a4fd8485d226f9b8a2ac2d81d7f0f3598">~Gui</a> ()</td></tr>
<tr class="separator:a4fd8485d226f9b8a2ac2d81d7f0f3598"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4038252aa6f60569f70f5264f93be1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af4038252aa6f60569f70f5264f93be1d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gui.html#af4038252aa6f60569f70f5264f93be1d">open</a> ()</td></tr>
<tr class="memdesc:af4038252aa6f60569f70f5264f93be1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">starts GUI <br /></td></tr>
<tr class="separator:af4038252aa6f60569f70f5264f93be1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Manages UI for the app. </p>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab2655dbb6d3a91d7e90cb83dad6c0450"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Gui::Gui </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>New GUI manager for the app </p><dl class="section return"><dt>Returns</dt><dd></dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<a class="anchor" id="a4fd8485d226f9b8a2ac2d81d7f0f3598"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Gui::~Gui </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Remove gui from screen and delete all references </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ab7f4632d5033a2250398bed08a4af158"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::getCurrentUserAdminStatus </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isCurrentUserAnAdmin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets information regardin admin status of the current user of the app </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isCurrentUserAnAdmin</td><td>true if current user of app is an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae18107b33f585c3025c25f16bc2d5d67"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::getSignInProcessIsComplete </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sign in process is complete! </p>

</div>
</div>
<a class="anchor" id="a9e8074406a8c3fddf74b87b1935aa7e5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendAddBookToLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to add </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a45b83b7b92ce6253834d28c67ea61614"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendAddBookToLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a55c7f71e765c57c27b2cab34aafba99a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendAddBookToWishlistRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae1c8a08d2c0b78461904928f798f4761"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendAddBookToWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if adding requested book to user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8d4e78464921dfcfa58e836fd8c1834f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendAddUserToLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>makeAdmin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new user to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user to add </td></tr>
    <tr><td class="paramname">makeAdmin</td><td>true iff new user should be an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adf6eb142cba7a3946d64ef3f1b790dcb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendAddUserToLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new user to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a343ff061fde597753a3296ea5ae31a3b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendCurrentUserRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to send info about current user </p>

</div>
</div>
<a class="anchor" id="acf39ba69c97ed11586b9e8a4e8a44d50"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendDetailsAboutBookRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>isbn</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend for details about book with isbn </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isbn</td><td>isbn of book to get details about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8af4fb92ae4ee963a09d8f6fe56dbd26"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendDetailsAboutBookRequestResult </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isReservedByUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isInUserWishlist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response on book details </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>full book details </td></tr>
    <tr><td class="paramname">isReservedByUser</td><td>true iff current user has reserved this book </td></tr>
    <tr><td class="paramname">isInUserWishlist</td><td>true iff book is in current user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7f41675c03732fb9e4677b8515f5ce91"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendEditBookInLibraryRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>oldBookIsbn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>newBook</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldBookIsbn</td><td>isbn of book to edit </td></tr>
    <tr><td class="paramname">newBook</td><td>new book </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a520e0265a777cb1b93365e916238fdb1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendEditBookInLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6f5de7d88e997a696d9a8e5e015b63b6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendEditUserInLibraryRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>oldId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>newUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>newPassword</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to edit user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldId</td><td>email of user to edit </td></tr>
    <tr><td class="paramname">newUser</td><td>new user </td></tr>
    <tr><td class="paramname">newPassword</td><td>password of new user </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a52270affea5506ff56e96b0c320d012b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendEditUserInLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to edit user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a96e318612a7551ba9222b712b78ac947"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendEditUserRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to change current user to this new one </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
    <tr><td class="paramname">password</td><td>new password </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a037e179bbf2eb022c07e73c095731207"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendEditUserRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response on change current user settings </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6bdbe03a8e1f862b09037dc24ebf506c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendExportWishlistFromFileRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>pathToFileToExport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to export books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathToFileToExport</td><td>file to export books to user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac2d9d316dba42155c9f0941b8dc560fd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendExportWishlistFromFileRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to export books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a734889d391e6e11bf4d271a196ba572c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendImportWishlistFromFileRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>pathToFileToImport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to import books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathToFileToImport</td><td>file to import books to user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae0909537ad53c6ff655c6435df0ed194"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendImportWishlistFromFileRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to import books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab140d1a5aae021f01032a516bb2e94fc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendLoansRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get books loans of current user </p>

</div>
</div>
<a class="anchor" id="afac627acf83e5b63b1d7f7e6b5cf1984"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendLoansRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get books loans of current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">books</td><td>user books loans </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7d3685695e85cc9d654375f19c9d39cc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendRemoveBookFromLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove book from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8b8847511823ec0ba3feccf3e6ec9c83"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendRemoveBookFromLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove book from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a741d7be4ff8d9532683209853fb46e37"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendRemoveBookFromWishlistRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove book from user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae117363124625be4898f727f29f56c49"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendRemoveBookFromWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if removing requested book from user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abb962389eb67b4567a1bc55b2abf76c6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendRemoveUserFromLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove user from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>user to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4ddd94a29c0c4e107771498d72c2c8bf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendRemoveUserFromLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove user from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2ffa089e57ee1571da42db95c3ba3de6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendReserveBookRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to reserve book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to reserve </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4891fd5c9698fa3f350ce69b9e66ce74"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendReserveBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to reserve book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac6f69a62bc303884e36d0be38a5f85b9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendReturnBookRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to return book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to return </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7c8260e2cdc4aea0a44ffe045a7ef311"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendReturnBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to return book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab8de6758ae82e6f6f8aae66d4811c857"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendSearchBookRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>title</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to search database for given book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>isbn code to search book </td></tr>
    <tr><td class="paramname">title</td><td>title of book to search </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab254231f189c6a872dc24250dbbd6c65"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendSearchBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>user books wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a87bc09aef68724043c9b4f24b01db632"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendSearchUserRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to search database for given user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>email of user to search </td></tr>
    <tr><td class="paramname">name</td><td>name of user to search </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4cd93c2bae41bb09285433b4e2164c59"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendSearchUserRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_user.html">User</a> &gt;&#160;</td>
          <td class="paramname"><em>users</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets search results </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">users</td><td>list of users matching query </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5fb313e391a25bc4e9798ee9b56d1718"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendSignInRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>username</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Mark when a sign in request is made by the user via the GUI </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username to sign in with </td></tr>
    <tr><td class="paramname">password</td><td>password of user to authenticate </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ace1c44fdff26b57dc365e51bf0bbe011"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendSignInRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>signInOk</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends sign in result </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">signInOk</td><td>whether sign authentication went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a59d88601c127c3d1de862f8f34c95528"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendSignUpRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Mark when a sign in request is made by the user via the GUI </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user to sign up </td></tr>
    <tr><td class="paramname">password</td><td>password of user to authenticate </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adc811573f8605cce30f325d2e9d11db2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendSignUpRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>signUpOk</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends sign up result </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">signUpOk</td><td>whether sign up process went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a72dfa49e20658233f69bd6c52dedab9d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendUserRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>username</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to send info about current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username of user to get info about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a747c9f8a97ca1511fdbd3633e01926f4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendUserRequestResult </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response to send info about current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>current user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8eafc6845da61bfddf908299bf310d49"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendWishlistRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get wishlist of current user </p>

</div>
</div>
<a class="anchor" id="aff84f8df0d0c42b9bc1e024e71a1ee6f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Gui::sendWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get wishlist of current user </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gui/Gui/<a class="el" href="_gui_8h_source.html">Gui.h</a></li>
<li>gui/Gui/Gui.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_gui.html">Gui</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
